#
# spec file for quilt - patch management scripts
#

Name:		quilt
Summary:	Scripts for working with series of patches
License:	GPL
Group:		Development/Other
Version:	0.47
Release:	%mkrel 1
URL:		http://savannah.nongnu.org/projects/quilt
Requires:	coreutils diffutils patch gzip bzip2 perl mktemp gettext
Requires:	diffstat procmail
Source:		quilt-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
# sendmail-command is needed for testing purpose
BuildRequires: sendmail-command diffstat procmail

%description
The scripts allow to manage a series of patches by keeping
track of the changes each patch makes. Patches can be
applied, un-applied, refreshed, etc.

The scripts are heavily based on Andrew Morton's patch scripts
found at http://www.zip.com.au/~akpm/linux/patches/.


%prep
%setup -q

%build
%configure --with-mta=%{_sbindir}/sendmail --with-diffstat=%{_bindir}/diffstat
make BUILD_ROOT=$RPM_BUILD_ROOT

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install BUILD_ROOT=$RPM_BUILD_ROOT
# mv -f $RPM_BUILD_ROOT/etc/quilt.quiltrc $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/
%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%config(noreplace) /etc/bash_completion.d/quilt
%config(noreplace) /etc/quilt.quiltrc
%{_bindir}/*
%{_datadir}/emacs/site-lisp/quilt.el
%{_datadir}/%{name}/*
%{_libdir}/quilt/
%doc %{_mandir}/man1/guards.*
%doc %{_mandir}/man1/quilt.*
%doc %{_docdir}/%{name}-%{version}


%changelog
* Thu Jan 15 2009 Jérôme Soyer <saispo@mandriva.org> 0.47-1mdv2009.1
+ Revision: 329877
- New upstream release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - fix leaving not owned directories in docdir
    - remove authors from description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 22 2007 Jérôme Soyer <saispo@mandriva.org> 0.46-1mdv2008.1
+ Revision: 101098
- New release 0.46

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages

* Sat Jun 30 2007 Michael Scherer <misc@mandriva.org> 0.45-2mdv2008.0
+ Revision: 46032
- rebuild on 2008
- fix bug #27931, missing deps on diffstat
- silence %%setup
- Import quilt



* Mon Apr 24 2006 Arnaud Patard <apatard@mandriva.com> 0.45-1mdk
- New version

* Sun Apr  9 2006 Anssi Hannula <anssi@mandriva.org> 0.44-2mdk
- BuildRequires diffstat
- %%mkrel

* Mon Mar  6 2006 Arnaud Patard <apatard@mandriva.com> 0.44-1mdk
- New version
- Enable tests

* Tue Feb  7 2006 Arnaud Patard <apatard@mandriva.com> 0.43-1mdk
- New version

* Thu Aug  4 2005 Arnaud Patard <apatard@mandriva.com> 0.42-1mdk
- New version

* Tue May  3 2005 Arnaud Patard <apatard@mandriva.com> 0.40-1mdk
- New version (add trailing-whitespace check support in quilt refresh)
- Make rpmlint happy :)

* Wed Apr 13 2005 Arnaud Patard <apatard@mandriva.com> 0.39-1mdk
- First version. The spec file is nearly the same as the one shipped
  in the tarball
